import { Form } from "../../../form/form.component";
import { PageElement } from "../page-element";
import { PathService } from "../../../service/path.service";
import { TranslationService } from "../../../service/translation.service";
import { IPathApp } from "../../../pathinterface";
export declare class InlineForm extends PageElement {
    private pathService;
    private translationService;
    private _formId;
    private _url;
    private _form;
    private _currentKey;
    private _page;
    constructor(app: IPathApp, pathService: PathService, translationService: TranslationService);
    get url(): string;
    set url(value: string);
    get formId(): string;
    set formId(value: string);
    get form(): Form;
    set form(value: Form);
    get page(): string;
    set page(value: string);
    fromJson(modelFormField: any): void;
    loadNextForm(forward: boolean): void;
}
